## glib2.0 2.24.1-1maemo1+0cssu0

=== debian/changelog ===
glib2.0 (2.24.1-1maemo1+0cssu0) unstable; urgency=low

  * CSSU release.

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Fri, 08 Nov 2013 09:27:12 +0200

glib2.0 (2.24.1-1maemo1) unstable; urgency=low

  * New upstream release.
  * 90-xdgmime-optimizations.patch:
    - new, ported from previous 2.20 maemo branch.
  * Refresh all existing patches so that they apply cleanly

 -- Claudio Saavedra <csaavedra@igalia.com>  Tue, 04 May 2010 15:51:56 +0300

glib2.0 (2.24.0-1maemo1) unstable; urgency=low

  * Update from glib 2.20.3-1maemo4.
    See changelog1 for maemo changes up to that version.
  * 20-gmarkup-speedup.patch:
    - removed, merged upstream.
  * 21-gsimpleasyncresult-memleak.patch:
    - removed, merged upstream.
  * 22-g-object-unref-toggle-refs.patch:
    - removed, merged upstream.
  * New build dependencies: desktop-file-utils, zlib1g-dev.

 -- Claudio Saavedra <csaavedra@igalia.com>  Wed, 07 Apr 2010 12:13:38 +0300

glib2.0 (2.24.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated 2.23 symbols to 2.24 to force dependencies on a stable release.
    + debian/rules:
      - Remove check-dist.mk include to allow uploads to unstable again.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 26 Mar 2010 16:59:18 +0100

glib2.0 (2.23.6-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05_gvariant_test_failure.patch:
    - Backport patch from upstream git to fix a gvariant test that fails
      randomly on x86.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.
    + debian/patches/05_gvariant_test_failure.patch:
      - Dropped, merged upstream.
  * debian/rules:
    + Make unit test failures non-fatal again because of race conditions
      in some tests.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 22 Mar 2010 06:10:18 +0100

glib2.0 (2.23.5-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05-dont-fail-a-couple-of-tests-when-running-as-root.patch:
    - Updated.
  * 06-test-for-unexisting-files-in-TMP-and-not-in-HOME.patch:
    - Added, don't look for an unexisting file in $HOME since it will
      fail with an unexpected result if it's not writable (which happens
      on some buildds). Look at $TMP instead.
  * debian/rules:
    - Make test suite failures fatal on amd64, i386 and s390.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.
    + debian/patches/05-dont-fail-a-couple-of-tests-when-running-as-root.patch,
      debian/patches/06-test-for-unexisting-files-in-TMP-and-not-in-HOME.patch:
      - Dropped, merged upstream.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 08 Mar 2010 18:49:00 +0000

glib2.0 (2.23.4-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/05-dont-fail-a-couple-of-tests-when-running-as-root.patch:
    - Added, expect a couple of tests that play with file permissions
      to succeed when running as root.
  * debian/control.in:
    - Add desktop-file-utils to build depends to fix another test.
    - Standards-Version is 3.8.4, no changes needed.
    - Let libgio-fam depend on ${misc:Depends}.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 22 Feb 2010 09:04:48 +0100

glib2.0 (2.23.3-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 09 Feb 2010 16:48:07 +0100

glib2.0 (2.23.2-2) experimental; urgency=low

  * debian/control.in,
    debian/libglib2.0-0.triggers,
    debian/libglib2.0-0.install,
    debian/libglib2.0-dev.install:
    + Ship gio-querymodules in the shared library package
      and triggers calls to every time /usr/lib/gio/modules
      is touched by a package.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Jan 2010 09:40:47 +0100

glib2.0 (2.23.2-1) experimental; urgency=low

  * New upstream development release:
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 26 Jan 2010 08:14:26 +0100

glib2.0 (2.23.1-1) experimental; urgency=low

  [ Sebastian Dröge ]
  * debian/control.in:
    + Let the -dev package depend on zlib1g-dev as it's required by
      the pkg-config file now.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Updated for the new API.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 22 Dec 2009 23:25:41 +0100

glib2.0 (2.23.0-1) experimental; urgency=low

  [ Loïc Minier ]
  * -refdbg package is section/prio debug/extra.
  * Add note to NOT use -Wl,--as-needed as it might drop a critical -lpthread
    link in gio (which dlopen()s gvfs); see
    mid:<1257999019.21780.15.camel@marzipan>.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/patches/90_mimetype-sorting.patch:
      - Dropped, merged upstream.
    + debian/rules,
      debian/libglib2.0-0.symbols:
      - Update for new API.
    + debian/control.in:
      - Build depend on zlib.
    + debian/rules:
      - Include check-dist.mk to prevent accidental uploads to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 30 Nov 2009 10:04:07 +0100

glib2.0 (2.22.2-2) unstable; urgency=low

  * debian/patches/90_mimetype-sorting.patch:
    + Fix sorting of mimetypes by weight. Highest weight means most
      important, not the other way around. Patch from upstream GIT.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 08 Oct 2009 18:34:23 +0200

glib2.0 (2.22.2-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]

