=== debian/control ===
Source: glib2.0
Section: libs
Priority: optional
Maintainer: Janne Karhunen <Janne.Karhunen@nokia.com>
Uploaders: 
Build-Depends: debhelper (>> 5.0.22),
               pkg-config (>= 0.14.0),
               gettext,
               autotools-dev,
               gnome-pkg-tools (>= 0.10),
               quilt,
               dpkg-dev (>= 1.14.13),
               desktop-file-utils,
               gtk-doc-tools,
               zlib1g-dev
Standards-Version: 3.8.4
Homepage: http://www.gtk.org/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/glib2.0/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/glib2.0/

Package: libglib2.0-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libglib2.0-data,
            shared-mime-info
Conflicts: libpango1.0-0 (<< 1.11)
Replaces: libglib2.0-dev (<< 2.23.2-2)
Description: The GLib library of C routines
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared libraries.

Package: libglib2.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-0 (= ${binary:Version}),
         pkg-config (>= 0.14.0),
         zlib1g-dev
Recommends: python
Suggests: libglib2.0-doc
Replaces: libglib1.3-dev
Conflicts: libglib1.3-dev
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.

Package: libglib2.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-0 (= ${binary:Version})
Conflicts: libglib2.0-dbg
Replaces: libglib2.0-dbg
Description: The GLib libraries and debugging symbols
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libglib2.0-data
Architecture: all
Depends: ${misc:Depends},
         libglib2.0-0 (>= ${source:Version})
Replaces: libglib1.3,
          libglib1.3-data
Conflicts: libglib1.3-data
Description: Common files for GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libglib2.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         lynx | www-browser
Replaces: libglib1.3-doc
Conflicts: libglib1.3-doc
Suggests: libgtk2.0-doc
Description: Documentation files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the HTML documentation for the GLib library
 in /usr/share/doc/libglib2.0-doc/ .
