=== debian/watch ===
version=2
http://download.gnome.org/sources/glib/([\d\.]+)[02468]/ \
	glib-(.*)\.tar\.gz \
	debian uupdate
