## glib2.0 2.28.6

=== debian/changelog ===
glib2.0 (2.28.6-0ubuntu1) natty; urgency=low

  * New upstream release
    - Fixes assert race with g_settings_delay (LP: #743459)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 19 Apr 2011 11:06:17 -0400

glib2.0 (2.28.5-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 04 Apr 2011 10:20:22 +1000

glib2.0 (2.28.4-0ubuntu2) natty; urgency=low

  * Re-apply multiarch support, which I failed to get pushed to the bzr
    repo last time...

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Mar 2011 01:35:02 -0700

glib2.0 (2.28.4-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 22 Mar 2011 15:13:05 +1100

glib2.0 (2.28.3-0ubuntu2) natty; urgency=low

  * FFe LP: #733501: build for multiarch.
  * debian/patches/gio-modules-multiarch-compat.patch: include
    /usr/lib/gio/modules as a fallback directory for compatibility, so we
    can drop the Breaks: on related packages and have a soft transition.
  * Don't try to pass an empty --dbg-package package name to dh_strip, just
    unset DEB_DH_STRIP_ARGS_$(UDEB_PKG) altogether; eventually needed for
    compatibility with debhelper compat 8.
  * debian/compat: raise to compat level 7 so we can use debian/clean.
  * rename most debian/*.install, debian/*.dirs files to .in and add a new
    rule in debian/rules to substitute in the multiarch path at build time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 21 Mar 2011 16:05:42 -0700

glib2.0 (2.28.3-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/libglib2.0-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Mar 2011 15:29:05 +1100

glib2.0 (2.28.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 08 Mar 2011 13:28:27 +1100

glib2.0 (2.28.1-1ubuntu1) natty; urgency=low

  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control.in:
    - Add Vcs-Bzr link
    - Recommend libdconf0
    - Don't use "linux-any" for now since soyuz doesn't handle it
    - Break with current bamf and wncksync versions that need an update
    - Suggest python-subunit for dev package
  * debian/libglib2.0-0.symbols:
    - Updated the symbols list for the gio launcher handler
  * debian/patches/01_gettext-desktopfiles.patch:
    - Updated to use gettext for X-GNOME-Fullname too
  * debian/patches/05_file_size_units.patch:
    - Use base 10 units in g_format_size_for_display() (disabled)
  * debian/patches/20_mime_extension_point.patch:
    - Disabled
  * debian/patches/61_glib-compile-schemas-path.patch:
    - Don't use that change since there is a depends which assures to the 
      upstream binary location to be there
  * debian/patches/71_gio_launch_handler.patch:
    - New GIO default launch handle feature required for wncksync
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 21 Feb 2011 13:43:04 +1100

glib2.0 (2.28.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes g_timeout_add overflowing with large timeouts. Closes: #606618.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 21:24:21 +0000

glib2.0 (2.28.0-2) unstable; urgency=low

  * 20_mime_extension_point.patch: temporary revert the upstream change 
    in URI schemes handling. Closes: #612876.
    Note for later: it must absolutely be reverted in a synchronized 
    upload with gvfs 1.8 and control-center 3.0.

 -- Josselin Mouette <joss@debian.org>  Fri, 18 Feb 2011 19:36:42 +0100

glib2.0 (2.28.0-1) unstable; urgency=low

  * debian/control.in:
    + Drop obsolete conflicts/replaces with libglib1.3.
    + Don't suggest libgtk2.0-doc in the doc package.
  * New upstream stable release.
    + debian/control.in:
      - Bump the libpcre3-dev build dependency.
    + debian/patches/01_gettext-desktopfiles.patch,
      debian/patches/02_gettext-desktopfiles-ubuntu.patch,
      debian/patches/04_homedir_env.patch,
      debian/patches/61_glib-compile-schemas-path.patch:
      - Refreshed.
    + debian/libglib2.0-0.symbols:
      - Updated.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 09 Feb 2011 21:52:02 +0000

glib2.0 (2.28.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/libglib2.0-0.symbols:
    - Updated

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 09 Feb 2011 12:04:15 +1100

glib2.0 (2.27.93-0ubuntu1) natty; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 31 Jan 2011 16:36:29 +0100

glib2.0 (2.27.92-0ubuntu1) natty; urgency=low

  * New upstream version:
    - Update to Unicode 6.0
    - Update PCRE to 8.12
    - Bugs fixed:
      637696 g_unix_connection_send_fd() doesn't work
      638872 null settings backend bug
      640042 GtkApplication's warning about not connecting...
  * debian/control.in: updated libpcre requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 25 Jan 2011 18:07:57 +0100

glib2.0 (2.27.91-1) experimental; urgency=low

  * debian/rules:
    - Don't exclude .sgml and .devhelp files from being compressed.
      The former are already excluded by dh_compress and the later
      can be compressed now that devhelp can handle them.
    - Fix variable substitution.
  * New upstream release.
    - debian/patches/62_dont_crash_without_desktop_filename.patch:
      + Removed, included upstream.
  * debian/control.in:
    - Standards-Version is 3.9.1, no changes needed.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 11 Jan 2011 22:59:07 +0000

glib2.0 (2.27.91-0ubuntu1) natty; urgency=low

  * New upstream version:
    Bugs fixed:
    - gdesktopappinfo: Don't crash if we don't have a desktop filename
    - Splitting on \s* gives no result
    - Update gschema.dtd
    - Copy/paste error in GSettings::writable-changed signal
    - SIGSEGV for GApplications with G_APPLICATION_IS_SERVICE

