=== debian/control ===
Source: glib2.0
Section: libs
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>
Build-Depends: debhelper (>= 8.1.2ubuntu2),
               cdbs (>= 0.4.90ubuntu8),
               pkg-config (>= 0.16.0),
               gettext,
               autotools-dev,
               gnome-pkg-tools (>= 0.11),
               dpkg-dev (>= 1.16.0~ubuntu4),
               libpcre3-dev (>= 8.11),
               desktop-file-utils,
               gtk-doc-tools (>= 1.15),
               libselinux1-dev,
               linux-libc-dev,
               zlib1g-dev
Standards-Version: 3.9.1
Homepage: http://www.gtk.org/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/glib/ubuntu

Package: libglib2.0-0
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: libglib2.0-data,
            shared-mime-info,
            libdconf0
Conflicts: libpango1.0-0 (<< 1.11)
Replaces: libglib2.0-dev (<< 2.23.2-2)
Breaks: bamfdaemon (<< 0.2.42-0ubuntu2),
        wncksyncdaemon (<< 0.2.8-0ubuntu2)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: The GLib library of C routines
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared libraries.

Package: libglib2.0-udeb
Section: debian-installer
XC-Package-Type: udeb
Priority: optional
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: The GLib library of C routines - minimal runtime
 This is a udeb, or a microdeb, for the debian-installer.
 .
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the minimal runtime library needed by the Debian
 installer.

Package: libglib2.0-bin
Section: misc
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libglib2.0-0 (= ${binary:Version}),
         libglib2.0-data
Conflicts: libglib2.0-0 (<< 2.25.11-2),
Replaces: libglib2.0-0 (<< 2.25.11-2),
          libglib2.0-dev (<< 2.25.11-2)
Multi-Arch: foreign
Description: The programs for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the program files which is used for the libraries
 and others.

Package: libglib2.0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-0 (= ${binary:Version}),
         libglib2.0-bin (= ${binary:Version}),
         pkg-config (>= 0.16.0),
         zlib1g-dev
Recommends: python
Suggests: libglib2.0-doc,
          python-subunit
Description: Development files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed to compile programs against libglib2.0-0,
 as only it includes the header files and static libraries (optionally)
 needed for compiling.

Package: libglib2.0-0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         libglib2.0-0 (= ${binary:Version})
Conflicts: libglib2.0-dbg
Replaces: libglib2.0-dbg
Multi-Arch: same
Description: The GLib libraries and debugging symbols
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains detached debugging symbols.
 .
 Most people will not need this package.

Package: libglib2.0-data
Architecture: all
Depends: ${misc:Depends},
         libglib2.0-0 (>= ${source:Version})
Multi-Arch: foreign
Description: Common files for GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libglib2.0-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: Documentation files for the GLib library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the HTML documentation for the GLib library
 in /usr/share/doc/libglib2.0-doc/ .

Package: libgio-fam
Architecture: hurd-i386 kfreebsd-i386 kfreebsd-amd64
Depends: ${shlibs:Depends},
         ${misc:Depends}, libglib2.0-0 (>= 2.28.3-0ubuntu2)
Recommends: gamin
Multi-Arch: same
Description: GLib Input, Output and Streaming Library (fam module)
 GIO is the input, output and streaming API of GLib. This package
 provides a fam file and directory monitoring backend for it.

Package: libglib2.0-0-refdbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libglib2.0-0 (= ${binary:Version})
Multi-Arch: same
Description: The GLib library of C routines - refdbg library
 GLib is a library containing many useful C routines for things such
 as trees, hashes, lists, and strings.  It is a useful general-purpose
 C library used by projects such as GTK+, GIMP, and GNOME.
 .
 This package contains the shared library built with
 --disable-Bsymbolic so that it can be used with refdbg, a GObject
 refcount debugger.
