=== debian/watch ===
version=2
http://download.gnome.org/sources/glib/([\d\.]+)\d/ \
	glib-(.*)\.tar\.gz \
	debian uupdate
