## glib2.0 2.30.0

=== debian/changelog ===
glib2.0 (2.30.0-0ubuntu4) oneiric; urgency=low

  [ Rodney Dawes ]
  * debian/patches/10_gvariant_check_null.patch:
    - Check that value is NULL before continuing (LP: #804946)

  [ Michael Terry ]
  * debian/libglib2.0-0.postrm.in:
    - Only clear the gsettings schema cache on purge (this also helps us
      deal with the above bug LP: #804946)

 -- Michael Terry <mterry@ubuntu.com>  Thu, 06 Oct 2011 10:05:02 -0400

glib2.0 (2.30.0-0ubuntu3) oneiric; urgency=low

  * debian/libglib2.0-data.preinst:
    - fix upgrade issue caused by a leftover symlink (LP: #854622)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Sep 2011 21:21:42 +0200

glib2.0 (2.30.0-0ubuntu2) oneiric; urgency=low

  * debian/control.in: Drop Breaks: to nautilus and gnome-online-accounts
    again. These two are not seriously damaged by the new glib, and the
    Breaks: will just unnecessarily make upgrade path calculation harder.
    Also, I forgot a comma there anyway..

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2011 10:45:37 +0200

glib2.0 (2.30.0-0ubuntu1) oneiric; urgency=low

  * New upstream release for GNOME 3.2 final:
    - This release contains an ABI change: code written by the GDBus code
      generation in this version of GLib is not compatible with earlier
      versions of the library (and vice versa)
    - desktop file handling: avoid mimeapps.list corruption issue
    - info capplet: Failed to calculate disk space. (LP: #805504)
    - _set_as_last_used_for_type generates a broken mimeapps.list
      (LP: #854124)
    - Various bug fixes.
    - Translation updates.
  * 01_gettext-desktopfiles.patch, 04_homedir_env.patch: Refresh to apply
    cleanly.
  * debian/libglib2.0-0.symbols: Update to new upstream version,
    g_slice_debug_tree_statistics() was dropped. (Not part of official API,
    not documented.)
  * debian/control.in: Add Breaks: to the nautilus and gnome-online-accounts
    versions which were built with the previous unstable gdbus-codegen
    version, these need a rebuild. While this doesn't actually break nautilus,
    it's safer to do so.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Sep 2011 08:10:09 +0200

glib2.0 (2.29.92-0ubuntu1) oneiric; urgency=low

  * New upstream release:
    - GDBus: fix segfault when remote property is invalidated
    - take more care in connection teardown to avoid use-after-free
      (LP: #740878)
    - GMappedFile: return an error when trying to map a device
    - GSettings: always deliver signals to the correct thread
      (LP: #804946, #832513)
  * Drop 00git_gsettings_thread_fix.patch, 00git_changes_since_2.29.90.patch:
    Upstream now.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Sep 2011 05:51:44 +0200

glib2.0 (2.29.90-0ubuntu2) oneiric; urgency=low

  * debian/control.in, debian/rules: Drop --enable-gtk-doc and libglib2.0-dev
    build dependency again. We'll use the pre-generated documentation from the
    upstream tarball.
  * Add 00git_changes_since_2.29.90.patch: Upstream git changes since 2.29.90,
    to bring us as close as possible to 2.29.91 without the need to update
    during release freeze:
    - GType tutorial: clarify class struct initialisation
    - gdbus-codegen: Fix segfault when remote property is invalidated
    - Translation updates.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Sep 2011 10:47:53 +0200

glib2.0 (2.29.90-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * Add 00git_gsettings_thread_fix.patch: GSettingsBackend: emit changes to
    correct thread. Backported from upstream git head.
  * debian/libglib2.0-0.symbols: Update for new version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 07 Sep 2011 08:26:28 +0200

glib2.0 (2.29.18-0ubuntu3) oneiric; urgency=low

  * debian/libglib2.0-dev.install.in: Fix installation path of private gdbus
    codegen Python modules. Also don't install the *.pyc/*.pyo files.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Sep 2011 13:48:19 +0200

glib2.0 (2.29.18-0ubuntu2) oneiric; urgency=low

  * debian/control.in: Add libglib2.0-dev build dependency, required with the
    new gtk-doc-tools.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Sep 2011 11:36:39 +0200

glib2.0 (2.29.18-0ubuntu1) oneiric; urgency=low

  * debian/watch: Fix syntax and watch out for unstable versions.
  * New upstream release.
  * gio-modules-multiarch-compat.patch: Refresh for new release.
  * debian/rules: Explicitly enable documentation for the main deb build.
  * debian/libglib2.0-dev.install.in: Update path for gdbus-codegen modules.
  * debian/libglib2.0-0.symbols: Update for new version.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Sep 2011 11:20:05 +0200

glib2.0 (2.29.16-0ubuntu3) oneiric; urgency=low

  * Add conflicts against wncksyncdaemon and bamfdaemon (<= 0.2.92-0ubuntu1),
    as they ship gio modules which use an API that has been removed, causing
    anything using glib to break (fixes LP: #829778)

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 25 Aug 2011 22:18:30 +0100

glib2.0 (2.29.16-0ubuntu2) oneiric; urgency=low

  * Add Conflicts: against libzeitgeist-gio.  This package was removed in the
    Natty cycle, but upgraders might still have it installed.  It used the
    API added in the now-dropped 71_gio_launch_handler patch, and so now breaks
    anything using glib.  (LP: #827753)

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 17 Aug 2011 14:32:41 +1000

glib2.0 (2.29.16-0ubuntu1) oneiric; urgency=low

  * New upstream version
  * debian/libglib2.0-0.symbols: updated for the new version
  * 0001-Run-gio-tests-with-a-dbus-session.patch, 03_no_eventfd.patch:
    - drop, the issue should be fixed in the new version
  * 71_gio_launch_handler.patch:
    - drop this ubuntu specific gio handler, unity uses the upstream one

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Aug 2011 15:42:41 +0200

glib2.0 (2.29.14-0ubuntu1) oneiric; urgency=low

  * New upstream version:

