=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
 XSBC-Original-Maintainer: Loic Minier <lool@dooz.org>
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 8.1.2ubuntu2),
                cdbs (>= 0.4.90ubuntu8),
+               dh-autoreconf,
                pkg-config (>= 0.16.0),
                gettext,
                autotools-dev,
@@ -14,28 +15,34 @@
                libpcre3-dev (>= 8.11),
                desktop-file-utils,
                gtk-doc-tools (>= 1.15),
-               libselinux1-dev,
-               linux-libc-dev,
-               zlib1g-dev
+               libselinux1-dev [linux-any],
+               linux-libc-dev [linux-any],
+               libgamin-dev [!linux-any] | libfam-dev [!linux-any],
+               zlib1g-dev,
+               dbus,
+               dbus-x11,
+               shared-mime-info,
+               python-gobject,
+               python-dbus,
+               libffi-dev
 Standards-Version: 3.9.1
 Homepage: http://www.gtk.org/
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/glib/ubuntu
 
 Package: libglib2.0-0
-Section: libs
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: libglib2.0-data,
-            shared-mime-info,
-            libdconf0
-Conflicts: libpango1.0-0 (<< 1.11)
+            shared-mime-info
+Breaks: gvfs (<< 1.8), gnome-control-center (<< 1:3), 
+        libgtk-3-0 (<= 3.1.8-0ubuntu5)
+Conflicts: libzeitgeist-gio, wncksyncdaemon,
+           bamfdaemon (<= 0.2.92-0ubuntu1)
 Replaces: libglib2.0-dev (<< 2.23.2-2)
-Breaks: bamfdaemon (<< 0.2.42-0ubuntu2),
-        wncksyncdaemon (<< 0.2.8-0ubuntu2)
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Description: The GLib library of C routines
+Description: GLib library of C routines
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
  C library used by projects such as GTK+, GIMP, and GNOME.
@@ -45,11 +52,10 @@
 Package: libglib2.0-udeb
 Section: debian-installer
 XC-Package-Type: udeb
-Priority: optional
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Description: The GLib library of C routines - minimal runtime
+Description: GLib library of C routines - minimal runtime
  This is a udeb, or a microdeb, for the debian-installer.
  .
  GLib is a library containing many useful C routines for things such
@@ -70,7 +76,7 @@
 Replaces: libglib2.0-0 (<< 2.25.11-2),
           libglib2.0-dev (<< 2.25.11-2)
 Multi-Arch: foreign
-Description: The programs for the GLib library
+Description: Programs for the GLib library
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
  C library used by projects such as GTK+, GIMP, and GNOME.
@@ -108,7 +114,7 @@
 Conflicts: libglib2.0-dbg
 Replaces: libglib2.0-dbg
 Multi-Arch: same
-Description: The GLib libraries and debugging symbols
+Description: Debugging symbols for the GLib libraries
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
  C library used by projects such as GTK+, GIMP, and GNOME.
@@ -119,8 +125,7 @@
 
 Package: libglib2.0-data
 Architecture: all
-Depends: ${misc:Depends},
-         libglib2.0-0 (>= ${source:Version})
+Depends: ${misc:Depends}
 Multi-Arch: foreign
 Description: Common files for GLib library
  GLib is a library containing many useful C routines for things such
@@ -162,7 +167,7 @@
          ${shlibs:Depends},
          libglib2.0-0 (= ${binary:Version})
 Multi-Arch: same
-Description: The GLib library of C routines - refdbg library
+Description: GLib library of C routines - refdbg library
  GLib is a library containing many useful C routines for things such
  as trees, hashes, lists, and strings.  It is a useful general-purpose
  C library used by projects such as GTK+, GIMP, and GNOME.
