=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_BUILDDIR = debian/build
 DEB_MAKE_FLAVORS = deb udeb refdbg
 DISABLE_UPDATE_UPLOADERS := 1
-
+include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/utils.mk
 include /usr/share/cdbs/1/class/gnome.mk
