=== debian/watch ===
version=2
http://download.gnome.org/sources/glib/([\d\.]+)/ \
	glib-(.*)\.tar\.bz2 \
	debian uupdate
